$(document).ready(function(){
  $('#firstname').val('');
  $('#lastname').val('');
  $('#firstname').focus();
  
  $('#firstname').keypress(function(e) {
    if ((e.which == 13) && ($.trim($('#firstname').val()) != '')) {
      $('#lastname').focus();
    }
  });
  
  $('#lastname').keypress(function(e) {
    if ((e.which == 13) && ($('#lastname').val() != '')) {
      validarUsuario();
    }
  });
});


function validarUsuario() {
  if ($('#recordarme').is(':checked')) {
    auxReco = 1;
  }
  else {
    auxReco = 0;
  }
  $.ajax({
    url: 'ajax-validar-usuario.php',
	  type: 'POST',
    data: {xUsua:$("#firstname").val(), 
           xPass:$("#lastname").val(),
           xReco:auxReco,
           sid: Math.random()},
    dataType: 'json',
    async: false, 
    success: function (xResponse) {
      if (xResponse['success']) {
		    $(location).attr('href', 'index.php');
	      return true;
      }
	    else {
        //alert(xResponse['message']);
        $('#conteMsgLogin').addClass('letrasRojas').html(xResponse['message']+'<br>Ingrese su usuario y contraseña para poder acceder')
        $('#lastname').val('');
        $('#firstname').val('');
        $('#firstname').focus();
	    }
    },
    error: function (xhr, ajaxOptions, thrownError) {
      alert(xhr.responseText + 'sss');
      //alert(thrownError);
      return false;
    }
  })
}